﻿using System.Web.Mvc;
using BankDemo.Application;
using BankDemo.Models;

namespace BankDemo.Controllers
{
    public class RequestController : Controller
    {
        private readonly RequestService _service = new RequestService(MvcApplication.Bus);
        
        [HttpGet]
        public ActionResult Apply()
        {
            var model = NewAccountRequestViewModel.Default();
            return View(model);
        }

        [HttpPost]
        public ActionResult Apply(NewAccountRequestViewModel input, string connectionId)
        {
            _service.ApplyRequestForNewBankAccount(input, connectionId);

            return RedirectToAction("index", "home");
        }
    }
}