﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace BankDemo.Cqrs.QueryStack.ReadModel
{
    public class PendingRequest : Dto
    {
        public Guid RequestId { get; set; }

        [Index]
        [MaxLength(200)]
        public string DisplayName { get; set; }
        public string Category { get; set; }
        public string Status { get; set; }
    }
}